import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (i, e, l, r) => {
  for (var t = r > 1 ? void 0 : r ? v(e, l) : e, s = i.length - 1, c; s >= 0; s--)
    (c = i[s]) && (t = (r ? c(e, l, t) : c(t)) || t);
  return r && t && m(e, l, t), t;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--clockAlert", this.class = "c-pieIcon c-pieIcon--clockAlert", this.name = "IconClockAlert";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--clockAlert"><path d="m10.013 10.905-2.95-1.767V5.094h1.313v3.299l2.31 1.391z"></path><path d="M8 1.219a6.77 6.77 0 0 0-6.344 4.419l.438-.167a3.6 3.6 0 0 1 1.181-.21 5.469 5.469 0 1 1 2.17 7.569c0 .452-.155.89-.437 1.242A6.772 6.772 0 1 0 8 1.22"></path><path d="m3.791 11.063.429-4.376a2.7 2.7 0 0 0-.875-.13 2.6 2.6 0 0 0-.831.13l.42 4.376z"></path><path d="M2.636 12.813a.753.753 0 1 0 .753-.753.76.76 0 0 0-.753.752"></path></svg>`;
  }
};
p([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
p([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = p([
  f("icon-clock-alert")
], o);
export {
  o as IconClockAlert
};
